SCIM Reference
Get Single User
Get single user
GET
/
api
/
scim
/
v2
/
Users
Get Single User
curl --request GET \
--url https://app.sendoso.com/api/scim/v2/Users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userName": "<string>",
"name": {
"givenName": "<string>",
"familyName": "<string>"
},
"userType": "<string>",
"division": "<string>"
}
'import requests
url = "https://app.sendoso.com/api/scim/v2/Users"
payload = {
"userName": "<string>",
"name": {
"givenName": "<string>",
"familyName": "<string>"
},
"userType": "<string>",
"division": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userName: '<string>',
name: {givenName: '<string>', familyName: '<string>'},
userType: '<string>',
division: '<string>'
})
};
fetch('https://app.sendoso.com/api/scim/v2/Users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
schemas: ["urn:ietf:params:scim:schemas:core:2.0:User"],
id: "1000",
userName: "john.doe@sendoso.com",
active: true,
name: {
givenName: "John",
familyName: "Doe",
},
emails: [
{ value: "john.doe@sendoso.com" },
],
userType: "sender",
division: "Marketing Ops",
}
Body
string
required
The new user’s email address
object
required
string
required
The new user’s role. Values can be
sender, manager, admin.string
required
The new user’s team. This value needs to match the exact team group name in Sendoso. See more information to get team group names.
Response
array
required
The SCIM RFC schema for the user resource - always
urn:ietf:params:scim:schemas:core:2.0:Userstring
required
The user’s identifier
string
required
The user’s email address
boolean
required
Whether or not the user is active or not in the Sendoso platform.
array
required
The user’s personal balance
string
required
The user’s role. Values can be
sender, manager, admin.string
required
The user’s team.
{
schemas: ["urn:ietf:params:scim:schemas:core:2.0:User"],
id: "1000",
userName: "john.doe@sendoso.com",
active: true,
name: {
givenName: "John",
familyName: "Doe",
},
emails: [
{ value: "john.doe@sendoso.com" },
],
userType: "sender",
division: "Marketing Ops",
}
⌘I
Get Single User
